Summary: Administrative utilities for the XFS filesystem
Name: xfsdump
Version: 2.0.3
Release: alt1
Source0: %name-%version.src.tar.bz2
Patch0: xfsdump-2.0.3-builddefs.patch
License: GPL
Group: System/Kernel and hardware
PreReq: /sbin/ldconfig
Url: http://oss.sgi.com/projects/xfs/
# Automatically added by buildreq on Fri Dec 27 2002
BuildRequires: XFree86-devel libattr-devel libdm-devel libe2fs-devel-static libxfs-devel-static man

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep
%setup -q
%patch0 -p1

%build
export DEBUG="-DNDEBUG"
autoconf
%configure
%make_build

%install
make install DIST_ROOT=%buildroot/
make install-dev DIST_ROOT=%buildroot/

%files
%doc doc/CHANGES.gz doc/INSTALL doc/README.xfsdump
/sbin/*
%_sbindir/*
%_mandir/*/*

%changelog
* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.3-alt1
- 2.0.3
- Updated buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.0-alt0.1cvs
- 2.0.0

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Wed Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt2
- Rebuilt with libxfs 1.3.7

* Thu Sep 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- First build for Sisyphus

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3.
- rework spec files and adjust requires.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.5-1mdk
- Fist attempt based on the SGI spec.

# end of file
